#include "logwindow.h"
#include "ui_logwindow.h"
#include "mainwindow.h"

int LogWindow::index = 0;

LogWindow::LogWindow(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::LogWindow)
{
    ui->setupUi(this);

    ui->tabWidget->setGeometry(0, 0, this->width(), this->height());
}

LogWindow::~LogWindow()
{
    delete ui;
}

void LogWindow::addTabs(int index)
{
    ui->tabWidget->insertTab(index, new NeuronTab, "Padro " + QString::number(index));
}

NeuronTab::NeuronTab()
{
    QTableView *tableView = new QTableView();
    QHBoxLayout *mainLayout = new QHBoxLayout;

    mainLayout->addWidget(tableView);
    mainLayout->addStretch(1);
    setLayout(mainLayout);

    model = new QStandardItemModel(0, 1, this);
    model->setHeaderData(0, Qt::Horizontal, tr("Sada esperada"));

    int row = 0;
    for( size_t i = 0; i < MainWindow::myLine.size(); i++ ) {
        model->insertRows(row, 1, QModelIndex());

        model->setData(model->index(row, 0, QModelIndex()), MainWindow::myLine[i]);
        row++;
    }

    tableView->setModel(model);
}
