#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include "renderarea.h"
#include "ui_mainwindow.h"
#include "dialogabout.h"
#include "network.h"
#include "logwindow.h"
#include <ctime>
#include <iostream>
#include <vector>

using namespace std;

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT
    
public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();
    Ui::MainWindow *ui;

    static vector<double> myVector;
    static vector<QString> myLine;
private slots:
    void drawMatrix();
    void clearMatrix();
    void learnPattern();
    void recognizePattern();

    void on_actionAbout_triggered();
    void on_actionLogs_triggered();

private:
    RenderArea *myRenderArea;
    Network myNetwork;
    LogWindow *myLogWindow;
    vector< vector<double> > myOutputs;
};

#endif // MAINWINDOW_H
