#include "renderitem.h"
#include "mainwindow.h"
#include <QtGui>

RenderItem::RenderItem(int width, int height, int id, QGraphicsItem *parent, QGraphicsScene *scene)
    : QGraphicsPolygonItem(parent, scene)
{
    myId = id;

    QPainterPath path;
    path.addRect(0, 0, width, height);

    myPolygon = path.toFillPolygon();
    setPolygon(myPolygon);
    setFlag(QGraphicsItem::ItemIsMovable, false);
    setFlag(QGraphicsItem::ItemIsSelectable, false);
}

void RenderItem::mousePressEvent(QGraphicsSceneMouseEvent *event)
{
    // Ao clicar em uma clula, o usurio entra com um valor do neurnio
    // 1: clula preenchida
    // -1: clula vazia

    switch( event->button() ) {
        case Qt::LeftButton :
            setBrush(QBrush(QColor(Qt::black)));
            MainWindow::myVector[ myId ] = 1;
            break;

        case Qt::RightButton :
            setBrush(QBrush(QColor(Qt::white)));
            MainWindow::myVector[ myId ] = -1;
            break;

        default: return;
    }
}
